Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035580
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-03-21 11:362017-04-10 09:48
ReporternataliagView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRR17Q3
StatusclosedFix in branchFixed in SCM revision0a2a37b9851a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035580: External keyboard not working well in iOS

DescriptionWhen you are using the external input option in an iOS device and you try to insert a number using the keyboard of the device, it is entered twice.
Steps To Reproduce1- Using an iOS device go to "POS Terminal Type" window in backoffice and select the "VBS POS Terminal Type" record, tick the "Use External Input" option.
2- Save changes and go to the POS Terminal.
3- Click on the UPC/EAN field and when the external keyboard appears, press a key, for example number 2. You can see that in the UPC/EAN field it is inserted twice,(22). This happens with all the keys.
TagsNo tags attached.
Attached Filesdiff file icon issue35580.diff [^] (1,469 bytes) 2017-04-07 15:38 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0095927)
hgbot (developer)
2017-04-10 08:31

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 0a2a37b9851a5fb16de3fa43711547082f073432
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Apr 07 15:20:16 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/0a2a37b9851a5fb16de3fa43711547082f073432 [^]

Fixed issue 35580. Keys will no longer be duplicated if external scanner is not connected
The main problem was that for some reason, in iOS, keypress event always happens, but the keyup event only happens in case there is no external keyboard or scanner connected and the virtual keyboard is used instead, which means that when the virtual keyboard is used, both events are triggered, and the keys appear twice. Therefore, the solution has been to completely disable the use of the keyup event in iOS, and use only the keypress event. No change of behavior is required in other platforms.

---
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
---

- Issue History
Date Modified Username Field Change
2017-03-21 11:36 nataliag New Issue
2017-03-21 11:36 nataliag Assigned To => Retail
2017-03-21 11:36 nataliag Triggers an Emergency Pack => No
2017-03-21 12:12 heccam Issue Monitored: heccam
2017-04-06 13:40 plujan Issue Monitored: plujan
2017-04-07 15:38 marvintm File Added: issue35580.diff
2017-04-10 08:31 hgbot Checkin
2017-04-10 08:31 hgbot Note Added: 0095927
2017-04-10 08:31 hgbot Status new => resolved
2017-04-10 08:31 hgbot Resolution open => fixed
2017-04-10 08:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/0a2a37b9851a5fb16de3fa43711547082f073432 [^]
2017-04-10 08:51 marvintm Assigned To Retail => marvintm
2017-04-10 09:48 guilleaer Review Assigned To => guilleaer
2017-04-10 09:48 guilleaer Status resolved => closed
2017-04-10 09:48 guilleaer Fixed in Version => RR17Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker